// Generated by Selenium IDE
const { Builder, By, Key, until } = require('selenium-webdriver')
const assert = require('assert')

describe('Default Suite', function() {
  this.timeout(30000)
  let driver
  let vars
  beforeEach(async function() {
    driver = await new Builder().forBrowser('chrome').build()
    vars = {}
  })
  afterEach(async function() {
    await driver.quit();
  })
  it('StartDialog', async function() {
    await driver.get("http://localhost:4200/vacation")
    await driver.manage().window().setRect({ width: 970, height: 596 })
    await driver.findElement(By.id("mat-input-3")).sendKeys("25")
    {
      const element = await driver.findElement(By.id("mat-dialog-0"))
      await driver.actions({ bridge: true }).moveToElement(element).clickAndHold().perform()
    }
    {
      const element = await driver.findElement(By.id("mat-dialog-0"))
      await driver.actions({ bridge: true }).moveToElement(element).perform()
    }
    {
      const element = await driver.findElement(By.id("mat-dialog-0"))
      await driver.actions({ bridge: true }).moveToElement(element).release().perform()
    }
    await driver.findElement(By.id("mat-dialog-0")).click()
    await driver.findElement(By.id("mat-input-4")).sendKeys("30")
    await driver.findElement(By.id("mat-input-5")).sendKeys("36")
    await driver.findElement(By.id("mat-input-5")).click()
    await driver.findElement(By.id("mat-input-5")).sendKeys("37")
    await driver.findElement(By.id("mat-input-5")).click()
    {
      const element = await driver.findElement(By.id("mat-input-5"))
      await driver.actions({ bridge: true}).doubleClick(element).perform()
    }
    await driver.findElement(By.id("mat-input-5")).sendKeys("38")
    await driver.findElement(By.id("mat-input-5")).click()
    await driver.findElement(By.id("mat-input-5")).sendKeys("39")
    await driver.findElement(By.id("mat-input-5")).click()
    await driver.findElement(By.id("mat-input-5")).sendKeys("40")
    await driver.findElement(By.id("mat-input-5")).click()
    {
      const element = await driver.findElement(By.css(".mat-dialog-actions .mat-button-wrapper"))
      await driver.actions({ bridge: true }).moveToElement(element).perform()
    }
    await driver.findElement(By.css(".cdk-focused > .mat-button-wrapper")).click()
    await driver.findElement(By.css(".cdk-overlay-backdrop")).click()
    {
      const element = await driver.findElement(By.css(".mat-dialog-actions .mat-button-wrapper"))
      await driver.actions({ bridge: true }).moveToElement(element).perform()
    }
    await driver.findElement(By.css(".cdk-focused > .mat-button-wrapper")).click()
    await driver.close()
  })
  it('Add_Remove_Urlaubsantrag', async function() {
    await driver.get("http://localhost:4200/vacation")
    await driver.manage().window().setRect({ width: 970, height: 596 })
    {
      const element = await driver.findElement(By.css(".ng-tns-c91-1 .mat-datepicker-toggle-default-icon"))
      await driver.actions({ bridge: true }).moveToElement(element).perform()
    }
    await driver.findElement(By.css(".cdk-focused .mat-datepicker-toggle-default-icon")).click()
    {
      const element = await driver.findElement(By.CSS_SELECTOR, "body")
      await driver.actions({ bridge: true }).moveToElement(element, 0, 0).perform()
    }
    {
      const element = await driver.findElement(By.id("mat-calendar-button-0"))
      await driver.actions({ bridge: true }).moveToElement(element).perform()
    }
    await driver.findElement(By.id("mat-calendar-button-0")).click()
    {
      const element = await driver.findElement(By.CSS_SELECTOR, "body")
      await driver.actions({ bridge: true }).moveToElement(element, 0, 0).perform()
    }
    await driver.findElement(By.css(".mat-calendar-body-active > .mat-calendar-body-cell-content")).click()
    await driver.findElement(By.css(".mat-calendar-body-active > .mat-calendar-body-cell-content")).click()
    await driver.findElement(By.css(".mat-calendar-body-active > .mat-calendar-body-cell-content")).click()
    await driver.findElement(By.css(".cdk-focused .mat-datepicker-toggle-default-icon")).click()
    await driver.findElement(By.css(".mat-calendar-next-button")).click()
    await driver.findElement(By.css(".mat-calendar-body-active > .mat-calendar-body-cell-content")).click()
    await driver.findElement(By.id("mat-input-2")).click()
    await driver.findElement(By.id("mat-input-2")).sendKeys("Weihnachten")
    await driver.findElement(By.css(".mat-raised-button > .mat-button-wrapper")).click()
    {
      const element = await driver.findElement(By.css(".mat-raised-button"))
      await driver.actions({ bridge: true }).moveToElement(element).perform()
    }
    await driver.findElement(By.id("mat-expansion-panel-header-0")).click()
    await driver.findElement(By.css(".delete")).click()
    await driver.findElement(By.css(".cdk-focused")).click()
    await driver.close()
  })
  it('Add_Romove_Worktime', async function() {
    await driver.get("http://localhost:4200/vacation")
    await driver.manage().window().setRect({ width: 970, height: 596 })
    await driver.findElement(By.css(".cdk-focused > .mat-button-wrapper")).click()
    await driver.findElement(By.id("mat-input-4")).click()
    await driver.findElement(By.id("mat-input-4")).click()
    await driver.findElement(By.id("mat-input-4")).sendKeys("10:35")
    await driver.findElement(By.id("mat-input-5")).click()
    await driver.findElement(By.id("mat-input-5")).sendKeys("16:20")
    await driver.findElement(By.id("mat-select-value-1")).click()
    await driver.findElement(By.css("#mat-option-1 > .mat-option-text")).click()
    await driver.findElement(By.css(".ng-tns-c91-9 > .mat-form-field-infix")).click()
    await driver.findElement(By.id("mat-input-6")).sendKeys("Arbeit")
    await driver.findElement(By.css(".mat-fab .mat-icon")).click()
    await driver.findElement(By.css(".cdk-focused > .mat-button-wrapper")).click()
    {
      const element = await driver.findElement(By.css(".mat-dialog-actions > .mat-focus-indicator:nth-child(2)"))
      await driver.actions({ bridge: true }).moveToElement(element).perform()
    }
    await driver.findElement(By.css(".cdk-focused")).click()
    await driver.findElement(By.css(".datepicker > .mat-icon")).click()
    await driver.findElement(By.css(".mat-icon:nth-child(3)")).click()
    await driver.close()
  })
})
